Index: trunk/doc/Flair/annotated.html
===================================================================
--- trunk/doc/Flair/annotated.html	(revision 56)
+++ trunk/doc/Flair/annotated.html	(revision 62)
@@ -239,26 +239,27 @@
 <tr id="row_0_5_8_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_laser_range_finder.html" target="_self">LaserRangeFinder</a></td><td class="desc">Classe generique intégrant les telemetres laser </td></tr>
 <tr id="row_0_5_9_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_mb800.html" target="_self">Mb800</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
-<tr id="row_0_5_10_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html" target="_self">NmeaGps</a></td><td class="desc">Base class for GPS using NMEA sentances </td></tr>
-<tr id="row_0_5_11_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_novatel.html" target="_self">Novatel</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_novatel.html" title="Class for Novatel gps receiver. ">Novatel</a> gps receiver </td></tr>
-<tr id="row_0_5_12_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" target="_self">Ps3Eye</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" title="Class for Ps3Eye camera. ">Ps3Eye</a> camera </td></tr>
-<tr id="row_0_5_13_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_radio_receiver.html" target="_self">RadioReceiver</a></td><td class="desc">Base class for radio receiver </td></tr>
-<tr id="row_0_5_14_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_rumble_message.html" target="_self">RumbleMessage</a></td><td class="desc"></td></tr>
-<tr id="row_0_5_15_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_sensor_g_l.html" target="_self">SensorGL</a></td><td class="desc"></td></tr>
-<tr id="row_0_5_16_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera.html" target="_self">SimuCamera</a></td><td class="desc">Class for a simulation camera </td></tr>
-<tr id="row_0_5_17_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html" target="_self">SimuCameraGL</a></td><td class="desc">Class for a simulation camera </td></tr>
-<tr id="row_0_5_18_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_gps.html" target="_self">SimuGps</a></td><td class="desc">Class for a simulation GPS </td></tr>
-<tr id="row_0_5_19_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_imu.html" target="_self">SimuImu</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
-<tr id="row_0_5_20_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser.html" target="_self">SimuLaser</a></td><td class="desc"></td></tr>
-<tr id="row_0_5_21_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser_g_l.html" target="_self">SimuLaserGL</a></td><td class="desc"></td></tr>
-<tr id="row_0_5_22_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us.html" target="_self">SimuUs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
-<tr id="row_0_5_23_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us_g_l.html" target="_self">SimuUsGL</a></td><td class="desc">Class for a simulation us </td></tr>
-<tr id="row_0_5_24_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_srf08.html" target="_self">Srf08</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
-<tr id="row_0_5_25_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_switch_led_message.html" target="_self">SwitchLedMessage</a></td><td class="desc"></td></tr>
-<tr id="row_0_5_26_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_controller.html" target="_self">TargetController</a></td><td class="desc">Base Class for target side remote controls </td></tr>
-<tr id="row_0_5_27_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_eth_controller.html" target="_self">TargetEthController</a></td><td class="desc"></td></tr>
-<tr id="row_0_5_28_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" target="_self">UsRangeFinder</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
-<tr id="row_0_5_29_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html" target="_self">V4LCamera</a></td><td class="desc">Base class for V4l camera </td></tr>
-<tr id="row_0_5_30_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" target="_self">VrpnClient</a></td><td class="desc">Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent. FrameworkManager must be created before. Only one instance of this class is allowed by program </td></tr>
-<tr id="row_0_5_31_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html" target="_self">VrpnObject</a></td><td class="desc">Class for VRPN object. The IODevice is created with the <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> as parent. <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> must be created before </td></tr>
+<tr id="row_0_5_10_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_neo_m8_n.html" target="_self">NeoM8N</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
+<tr id="row_0_5_11_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html" target="_self">NmeaGps</a></td><td class="desc">Base class for GPS using NMEA sentances </td></tr>
+<tr id="row_0_5_12_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_novatel.html" target="_self">Novatel</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_novatel.html" title="Class for Novatel gps receiver. ">Novatel</a> gps receiver </td></tr>
+<tr id="row_0_5_13_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" target="_self">Ps3Eye</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" title="Class for Ps3Eye camera. ">Ps3Eye</a> camera </td></tr>
+<tr id="row_0_5_14_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_radio_receiver.html" target="_self">RadioReceiver</a></td><td class="desc">Base class for radio receiver </td></tr>
+<tr id="row_0_5_15_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_rumble_message.html" target="_self">RumbleMessage</a></td><td class="desc"></td></tr>
+<tr id="row_0_5_16_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_sensor_g_l.html" target="_self">SensorGL</a></td><td class="desc"></td></tr>
+<tr id="row_0_5_17_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera.html" target="_self">SimuCamera</a></td><td class="desc">Class for a simulation camera </td></tr>
+<tr id="row_0_5_18_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html" target="_self">SimuCameraGL</a></td><td class="desc">Class for a simulation camera </td></tr>
+<tr id="row_0_5_19_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_gps.html" target="_self">SimuGps</a></td><td class="desc">Class for a simulation GPS </td></tr>
+<tr id="row_0_5_20_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_imu.html" target="_self">SimuImu</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
+<tr id="row_0_5_21_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser.html" target="_self">SimuLaser</a></td><td class="desc"></td></tr>
+<tr id="row_0_5_22_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser_g_l.html" target="_self">SimuLaserGL</a></td><td class="desc"></td></tr>
+<tr id="row_0_5_23_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us.html" target="_self">SimuUs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
+<tr id="row_0_5_24_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us_g_l.html" target="_self">SimuUsGL</a></td><td class="desc">Class for a simulation us </td></tr>
+<tr id="row_0_5_25_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_srf08.html" target="_self">Srf08</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
+<tr id="row_0_5_26_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_switch_led_message.html" target="_self">SwitchLedMessage</a></td><td class="desc"></td></tr>
+<tr id="row_0_5_27_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_controller.html" target="_self">TargetController</a></td><td class="desc">Base Class for target side remote controls </td></tr>
+<tr id="row_0_5_28_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_eth_controller.html" target="_self">TargetEthController</a></td><td class="desc"></td></tr>
+<tr id="row_0_5_29_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" target="_self">UsRangeFinder</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
+<tr id="row_0_5_30_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html" target="_self">V4LCamera</a></td><td class="desc">Base class for V4l camera </td></tr>
+<tr id="row_0_5_31_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" target="_self">VrpnClient</a></td><td class="desc">Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent. FrameworkManager must be created before. Only one instance of this class is allowed by program </td></tr>
+<tr id="row_0_5_32_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html" target="_self">VrpnObject</a></td><td class="desc">Class for VRPN object. The IODevice is created with the <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> as parent. <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> must be created before </td></tr>
 <tr id="row_0_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_6_" class="arrow" onclick="toggleFolder('0_6_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1simulator.html" target="_self">simulator</a></td><td class="desc">Simulator classes </td></tr>
 <tr id="row_0_6_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_blade.html" target="_self">Blade</a></td><td class="desc"></td></tr>
@@ -283,5 +284,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Tue Jul 4 2017 07:52:56 for Flair by
+    <li class="footer">Generated on Mon Dec 4 2017 11:13:45 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>