Index: trunk/include/Pacpus/PacpusTools/filtering/bayes_filtering.hpp
===================================================================
--- trunk/include/Pacpus/PacpusTools/filtering/bayes_filtering.hpp	(revision 64)
+++ trunk/include/Pacpus/PacpusTools/filtering/bayes_filtering.hpp	(revision 66)
@@ -1,2 +1,14 @@
+// This file is part of the PACPUS framework distributed under the
+// CECILL-C License, Version 1.0.
+// 
+/// @file
+/// @author  Firstname Surname <firstname.surname@utc.fr>
+/// @date    Month, Year
+/// @version $Id$
+/// @copyright Copyright (c) UTC/CNRS Heudiasyc 2006 - 2013. All rights reserved.
+/// @brief Brief description.
+///
+/// Detailed description.
+
 #ifndef __BAYES_FILTERING__
 #define __BAYES_FILTERING__
@@ -75,5 +87,5 @@
    };
 
-};
+} // namespace filter
 
-#endif
+#endif // __BAYES_FILTERING__
Index: trunk/include/Pacpus/PacpusTools/filtering/filter_exception.hpp
===================================================================
--- trunk/include/Pacpus/PacpusTools/filtering/filter_exception.hpp	(revision 64)
+++ trunk/include/Pacpus/PacpusTools/filtering/filter_exception.hpp	(revision 66)
@@ -1,2 +1,14 @@
+// This file is part of the PACPUS framework distributed under the
+// CECILL-C License, Version 1.0.
+// 
+/// @file
+/// @author  Firstname Surname <firstname.surname@utc.fr>
+/// @date    Month, Year
+/// @version $Id$
+/// @copyright Copyright (c) UTC/CNRS Heudiasyc 2006 - 2013. All rights reserved.
+/// @brief Brief description.
+///
+/// Detailed description.
+
 #ifndef __FILTERING_EXECPTION_HPP__
 #define __FILTERING_EXECPTION_HPP__
@@ -16,9 +28,8 @@
          * \brief Construtor 
          */
-	filter_error (const std::string& what_arg) : logic_error( what_arg) {}
+        filter_error (const std::string& what_arg) : logic_error( what_arg) {}
    };
 
+} // namespace filter
 
-};
-
-#endif
+#endif // __FILTERING_EXECPTION_HPP__
Index: trunk/include/Pacpus/PacpusTools/filtering/gaussian_sum_filtering.hpp
===================================================================
--- trunk/include/Pacpus/PacpusTools/filtering/gaussian_sum_filtering.hpp	(revision 64)
+++ trunk/include/Pacpus/PacpusTools/filtering/gaussian_sum_filtering.hpp	(revision 66)
@@ -1,2 +1,14 @@
+// This file is part of the PACPUS framework distributed under the
+// CECILL-C License, Version 1.0.
+// 
+/// @file
+/// @author  Firstname Surname <firstname.surname@utc.fr>
+/// @date    Month, Year
+/// @version $Id$
+/// @copyright Copyright (c) UTC/CNRS Heudiasyc 2006 - 2013. All rights reserved.
+/// @brief Brief description.
+///
+/// Detailed description.
+
 #ifndef __GAUSSIAN_FILTERING_BASE__
 #define __GAUSSIAN_FILTERING_BASE__
@@ -325,6 +337,6 @@
      }
 
-};
-};
-
-#endif
+} // namespace gaussiansum
+} // namespace filter
+
+#endif // __GAUSSIAN_FILTERING_BASE__
Index: trunk/include/Pacpus/PacpusTools/filtering/kalman_filtering.hpp
===================================================================
--- trunk/include/Pacpus/PacpusTools/filtering/kalman_filtering.hpp	(revision 64)
+++ trunk/include/Pacpus/PacpusTools/filtering/kalman_filtering.hpp	(revision 66)
@@ -1,2 +1,14 @@
+// This file is part of the PACPUS framework distributed under the
+// CECILL-C License, Version 1.0.
+// 
+/// @file
+/// @author  Firstname Surname <firstname.surname@utc.fr>
+/// @date    Month, Year
+/// @version $Id$
+/// @copyright Copyright (c) UTC/CNRS Heudiasyc 2006 - 2013. All rights reserved.
+/// @brief Brief description.
+///
+/// Detailed description.
+
 #ifndef __KALMAN_FILTERING__
 #define __KALMAN_FILTERING__
@@ -459,5 +471,6 @@
          }
     }
-};
-};
-#endif
+} // namespace kalman
+} // namespace filter
+
+#endif // __KALMAN_FILTERING__
Index: trunk/include/Pacpus/PacpusTools/filtering/particle_filtering.hpp
===================================================================
--- trunk/include/Pacpus/PacpusTools/filtering/particle_filtering.hpp	(revision 64)
+++ trunk/include/Pacpus/PacpusTools/filtering/particle_filtering.hpp	(revision 66)
@@ -1,2 +1,14 @@
+// This file is part of the PACPUS framework distributed under the
+// CECILL-C License, Version 1.0.
+// 
+/// @file
+/// @author  Firstname Surname <firstname.surname@utc.fr>
+/// @date    Month, Year
+/// @version $Id$
+/// @copyright Copyright (c) UTC/CNRS Heudiasyc 2006 - 2013. All rights reserved.
+/// @brief Brief description.
+///
+/// Detailed description.
+
 #ifndef __PARTICLE_FILTERING_BASE__
 #define __PARTICLE_FILTERING_BASE__
@@ -6,5 +18,4 @@
 #include "../math/rng.hpp"
 #include "../math/distributions.hpp"
-
 
 namespace filter{
@@ -578,6 +589,7 @@
    }
 
-
-};
-};
-#endif
+} // namespace particle
+} // namespace filter
+
+
+#endif // __PARTICLE_FILTERING_BASE__